## RygelResourceInfo

RygelResourceInfo — Holds information about a particular resource (device and service) implementation.

## Functions

#define | RYGEL_TYPE_RESOURCE_INFO
RygelResourceInfo * | rygel_resource_info_new ()
gpointer | rygel_resource_info_ref ()
void | rygel_resource_info_unref ()
GParamSpec * | rygel_param_spec_resource_info ()
void | rygel_value_set_resource_info ()
gpointer | rygel_value_get_resource_info ()
void | rygel_value_take_resource_info ()

## Types and Values

struct | RygelResourceInfo
struct | RygelResourceInfoClass

## Object Hierarchy

        RygelResourceInfo

## Description

## Functions

### RYGEL_TYPE_RESOURCE_INFO

    #define RYGEL_TYPE_RESOURCE_INFO (rygel_resource_info_get_type ())

The type for RygelResourceInfo.

### rygel_resource_info_new ()

    RygelResourceInfo *
    rygel_resource_info_new (const gchar *upnp_id,
                             const gchar *upnp_type,
                             const gchar *description_path,
                             GType type);

#### Parameters

upnp_id |  |
upnp_type |  |
description_path |  |
type |  |

### rygel_resource_info_ref ()

    gpointer
    rygel_resource_info_ref (gpointer instance);

Increases the reference count of `object` .

#### Parameters

instance | a RygelResourceInfo. |

#### Returns

the same `object`

### rygel_resource_info_unref ()

    void
    rygel_resource_info_unref (gpointer instance);

Decreases the reference count of `object` . When its reference count drops to 0, the object is finalized (i.e. its memory is freed).

#### Parameters

instance | a RygelResourceInfo. |

### rygel_param_spec_resource_info ()

    GParamSpec *
    rygel_param_spec_resource_info (const gchar *name,
                                    const gchar *nick,
                                    const gchar *blurb,
                                    GType object_type,
                                    GParamFlags flags);

Creates a new GParamSpecBoxed instance specifying a `RYGEL_TYPE_RESOURCE_INFO` derived property.

See ``g_param_spec_internal()`` for details on property names.

#### Parameters

name | canonical name of the property specified |
nick | nick name for the property specified |
blurb | description of the property specified |
object_type | `RYGEL_TYPE_RESOURCE_INFO` derived type of this property |
flags | flags for the property specified |

### rygel_value_set_resource_info ()

    void
    rygel_value_set_resource_info (GValue *value,
                                   gpointer v_object);

Set the contents of a `RYGEL_TYPE_RESOURCE_INFO` derived GValue to `v_object` .

`rygel_value_set_resource_info()` increases the reference count of `v_object` (the GValue holds a reference to `v_object`). If you do not wish to increase the reference count of the object (i.e. you wish to pass your current reference to the GValue because you no longer need it), use `rygel_value_take_resource_info()` instead.

It is important that your GValue holds a reference to `v_object` (either its own, or one it has taken) to ensure that the object won't be destroyed while the GValue still exists).

#### Parameters

value | a valid GValue of `RYGEL_TYPE_RESOURCE_INFO` derived type |
v_object | object value to be set |

### rygel_value_get_resource_info ()

    gpointer
    rygel_value_get_resource_info (const GValue *value);

Get the contents of a `RYGEL_TYPE_RESOURCE_INFO` derived GValue.

#### Parameters

value | a valid GValue of `RYGEL_TYPE_RESOURCE_INFO` derived type |

#### Returns

object contents of `value`

### rygel_value_take_resource_info ()

    void
    rygel_value_take_resource_info (GValue *value,
                                    gpointer v_object);

Sets the contents of a `RYGEL_TYPE_RESOURCE_INFO` derived GValue to `v_object` and takes over the ownership of the callers reference to `v_object` ; the caller doesn't have to unref it any more (i.e. the reference count of the object is not increased).

If you want the GValue to hold its own reference to `v_object` , use `rygel_value_set_resource_info()` instead.

#### Parameters

value | a valid GValue of `RYGEL_TYPE_RESOURCE_INFO` derived type |
v_object | object value to be set |

## Types and Values

### struct RygelResourceInfo

    struct RygelResourceInfo;

Holds information about a particular resource (device and service) implementation.

### struct RygelResourceInfoClass

    struct RygelResourceInfoClass {
    	GTypeClass parent_class;
    	void (*finalize) (RygelResourceInfo *self);
    };

The class structure for `RYGEL_TYPE_RESOURCE_INFO`. All the fields in this structure are private and should never be accessed directly.

#### Members

GTypeClass `parent_class`; | the parent class structure |
`finalize` () |  |